Subject: bug#72328: [PATCH] Nested backquote in pcase

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Jul 2024 03:45:31 -0400

> Stefan, any comments?

FWIW, when I (re)implemented the Pcase backquote with `pcase-defmacro`
I hesitated between doing what Thuna suggests and what we have now.

I opted for the current behavior because it's simpler (at least from
the implementation's point of view), even though it
admittedly breaks the symmetry with the backquote macro.

I think I'd be interested to hear about "real life" cases out there
where this choice would make a difference (in either direction).

If we indent to change the behavior, I think we'd first need to introduce
a warning for patterns that would be affected by the change.

        Stefan